# runner

![Version: 0.0.0-dev](https://img.shields.io/badge/Version-0.0.0--dev-informational?style=flat-square) ![AppVersion: SERVICE-VERSION](https://img.shields.io/badge/AppVersion-SERVICE--VERSION-informational?style=flat-square)

The Ryax Runner service orchestrates the deployment and the execution of Actions inside Ryax.

**Homepage:** <https://ryax.tech>

## Source Code

* <https://gitlab.com/ryax-tech/ryax/ryax-runner>

## Values

### Global

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| global.nodeSelector | object | `{}` | Add nodeSelector injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#nodeselector) |

### Resource Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| resources | object | `{}` | Recommended resource requirement WARNING: This must be set in production ! Example:   requests:     memory: "2Gi"     cpu: "1000m"   limits:     memory: "2Gi" |

### Ryax User Actions Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| userActionsRetentionTime | int | `300` | Set the retention time after an execution in seconds. Ryax Actions are kept for this amount of time waiting for new execution before undeploying to avoid cold start Note: For more settings, you can use extraEnv wth environment variables defined in ryax/runner/app.py |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` | Add affinity injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#affinity-and-anti-affinity) Example:   nodeAffinity:     requiredDuringSchedulingIgnoredDuringExecution:       nodeSelectorTerms:       - matchExpressions:         - key: topology.kubernetes.io/zone           operator: In           values:           - antarctica-east1           - antarctica-west1 |
| apiPort | int | `8080` |  |
| authorizationUrl | string | `"ryax-authorization.ryaxns:8080"` |  |
| baseApiUrl | string | `"runner"` | Necessary to make the swagger interactive docs to show up properly |
| brokerSecret | string | `"ryax-broker-secret"` |  |
| datastoreSecret | string | `"ryax-datastore-secret"` |  |
| defaultActionLogLevel | string | `"info"` | User actions log level |
| encryptionKeySecret | string | `"runner-encryption-key"` |  |
| extraEnv | object | `{}` | Add extra environment variables |
| fernetEncryptionKey | string | `"gkNbHvJyhcX96-GQmiUUqsdviA65AptOqHBSujaJFkU="` | Unsecure! This is a default value for testing purpose. Change this by generating a Key with this script:    ```python3    #!/usr/bin/env python3    import base64    import os     print(base64.urlsafe_b64encode(os.urandom(32)).decode())    ``` |
| filestoreName | string | `"ryax-filestore.ryaxns"` |  |
| filestoreSecret | string | `"ryax-filestore-secret"` |  |
| image | object | `{"name":"registry.ryax.org/release/runner","tag":"SERVICE-VERSION"}` | container image name and version |
| imagePullPolicy | string | `"IfNotPresent"` |  |
| internalRegistry | string | `"127.0.0.1:30001"` |  |
| jwtSecret | string | `"api-jwt-secret-key"` |  |
| logLevel | string | `"info"` | log level of the service |
| metricsPort | int | `8090` |  |
| monitoring.dashboards.enabled | bool | `true` | Enables the injection of a grafana dashboard. |
| monitoring.enabled | bool | `true` | Enables service monitoring |
| monitoring.serviceMonitor.enabled | bool | `true` | Enable service monitor for prometheus. Requires ServiceMonitor CRD |
| otlpEndpoint | string | `"tempo.ryaxns-monitoring:4317"` | Traces collector (Tempo) endpoint |
| priorityClass | string | `nil` | Deployment prority class |
| pullSecret | string | `nil` | pull secret like in pod template |
| ryaxUserNamespace | string | `"ryaxns-execs"` |  |
| tls | object | `{"certSecret":"ryax-cert-development","enabled":true,"hostname":null}` | Enable TLS for the Runner API |
| tls.hostname | string | `nil` | cluster FQDN like "cluster.ryax.io" use to create a valid certificate |
| userAPIPort | int | `10080` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.14.2](https://github.com/norwoodj/helm-docs/releases/v1.14.2)
